Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.client
Class InitialContextFactory

    java.lang.Object
      org.apache.jmeter.protocol.jms.client.InitialContextFactory

public class InitialContextFactory
extends Object

InitialContextFactory is responsible for getting and instance of the initial context. It is also responsible for looking up JMS topics and queues.

Constructor Summary
`InitialContextFactory()`

Method Summary
`static void` | `close()` clear all the InitialContext objects.
`static Context` | `lookupContext(String jndi, String url, boolean useAuth, String user, String pwd)`
`static javax.jms.Topic` | `lookupTopic(Context ctx, String name)` Method will lookup a given topic using JNDI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextFactory

    public InitialContextFactory()

Method Detail

### lookupContext

    public static Context lookupContext(String jndi,
                                        String url,
                                        boolean useAuth,
                                        String user,
                                        String pwd)

### lookupTopic

    public static javax.jms.Topic lookupTopic(Context ctx,
                                              String name)

  Method will lookup a given topic using JNDI.

  Parameters:
    `ctx` -
    `name` -
  Returns:
    the topic or null

### close

    public static void close()

  clear all the InitialContext objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.